For the complete documentation index, see llms.txt. This page is also available as Markdown.

SNAP QRIS

SNAP QRIS compliant APIs

Get Access Token

post
/snap/oauth/v1.0/access-token/b2b

Get OAuth2 access token for SNAP API authentication

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Body
grantTypestring · enumOptionalExample: client_credentialsPossible values:
Responses
200

Access token generated successfully

application/json
responseCodestringOptionalExample: 2007300
responseMessagestringOptionalExample: Request has been processed successfully
accessTokenstringOptional

Access token

Example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
tokenTypestringOptionalExample: Bearer
expiresInintegerOptionalExample: 900
post/snap/oauth/v1.0/access-token/b2b
POST /snap/oauth/v1.0/access-token/b2b HTTP/1.1
Host: devo.finnet.co.id
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 34

{
  "grantType": "client_credentials"
}
200

Access token generated successfully

{
  "responseCode": "2007300",
  "responseMessage": "Request has been processed successfully",
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "tokenType": "Bearer",
  "expiresIn": 900
}

Generate QR Code

post
/pg/payment/card/v1.0/qr/qr-mpm-generate

Generate QR code for payment

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Header parameters
AuthorizationstringRequired

Bearer access token

Example: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Content-TypestringRequired

Content type of request body

Example: application/json
AcceptstringRequired

Accept response format

Example: application/json
X-TIMESTAMPstring · date-timeRequired

Client's current local time in ISO 8601 format

Example: 2024-04-17T12:03:38+07:00
X-SIGNATUREstringRequired

Request signature

Example: string_signature
ORIGINstringRequired

Origin domain

Example: www.yourdomain.com
X-EXTERNAL-IDstring · max: 32Required

Numeric string reference number (unique per day)

Example: 12345678901234567890123456789012
X-PARTNER-IDstring · max: 36Required

Unique partner identifier

Example: FINPAY-PARTNER-ID
CHANNEL-IDstring · max: 5Required

PJP's channel ID for device identification

Example: 12345
Body
partnerReferenceNostringOptional

Partner reference number

Example: INV112024033108340012600007
merchantIdstringOptional

Merchant ID

Example: FM2103300001
subMerchantIdstringOptional

Sub-merchant ID

Example: FM2007160001
terminalIdstringOptional

Terminal ID

Example: 213141251124
validityPeriodstringOptional

QR code validity period

Example: 2024-04-17T12:03:38-07:00
Responses
200

QR code generated successfully

application/json
responseCodestringOptionalExample: 2004700
responseMessagestringOptionalExample: Request has been processed successfully
referenceNostringOptional

Reference number

Example: weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T
partnerReferenceNostringOptional

Partner reference number

Example: INV012021
qrContentstringOptional

QR code content

Example: 00020101021226620013ID.FINPAY.WWW01189360077732007160010212FM20071600010303UKE51410014ID.CO.QRIS.WWW0212ID12345678910303UKE520458145303360540410005502025602505802ID5909Test Sogi6015JAKARTA SELATAN61051271062100706finnet630490FF
merchantNamestringOptional

Merchant name

Example: Test Dapur
qrUrlstringOptional

QR code URL

Example: https://qrurl?img=12345
terminalIdstringOptional

Terminal ID

Example: 213141251124
post/pg/payment/card/v1.0/qr/qr-mpm-generate
POST /pg/payment/card/v1.0/qr/qr-mpm-generate HTTP/1.1
Host: devo.finnet.co.id
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Accept: application/json
X-TIMESTAMP: 2024-04-17T12:03:38+07:00
X-SIGNATURE: string_signature
ORIGIN: www.yourdomain.com
X-EXTERNAL-ID: 12345678901234567890123456789012
X-PARTNER-ID: FINPAY-PARTNER-ID
CHANNEL-ID: 12345
Content-Type: application/json
Content-Length: 485

{
  "partnerReferenceNo": "INV112024033108340012600007",
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "FeeAmount": {
    "value": "0.00",
    "currency": "IDR"
  },
  "merchantId": "FM2103300001",
  "subMerchantId": "FM2007160001",
  "terminalId": "213141251124",
  "validityPeriod": "2024-04-17T12:03:38-07:00",
  "additionalInfo": {
    "tips_indikator": "00",
    "tips_fixamount": "0",
    "tips_percentage": "0",
    "note": "",
    "qr_type": "12",
    "callback_payment": "https://demos.finnet.co.id/apiqrismerchanct/qr/callback-qris-static/index.php"
  }
}
200

QR code generated successfully

{
  "responseCode": "2004700",
  "responseMessage": "Request has been processed successfully",
  "referenceNo": "weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T",
  "partnerReferenceNo": "INV012021",
  "qrContent": "00020101021226620013ID.FINPAY.WWW01189360077732007160010212FM20071600010303UKE51410014ID.CO.QRIS.WWW0212ID12345678910303UKE520458145303360540410005502025602505802ID5909Test Sogi6015JAKARTA SELATAN61051271062100706finnet630490FF",
  "merchantName": "Test Dapur",
  "qrUrl": "https://qrurl?img=12345",
  "terminalId": "213141251124",
  "additionalInfo": {
    "merchantId": "FM2103300001",
    "subMerchantId": "FM2007160001",
    "nmid": "123456612388",
    "validityPeriod": "2024-04-17T12:03:38-07:00"
  }
}

Payment Notification

post
/pg/payment/card/v1.0/qr/qr-mpm-notify

Receive payment notification

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Header parameters
AuthorizationstringRequired

Bearer access token

Example: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Content-TypestringRequired

Content type of request body

Example: application/json
AcceptstringRequired

Accept response format

Example: application/json
X-TIMESTAMPstring · date-timeRequired

Client's current local time in ISO 8601 format

Example: 2024-04-17T12:03:38+07:00
X-SIGNATUREstringRequired

Request signature

Example: string_signature
ORIGINstringRequired

Origin domain

Example: www.yourdomain.com
X-EXTERNAL-IDstring · max: 32Required

Numeric string reference number (unique per day)

Example: 12345678901234567890123456789012
X-PARTNER-IDstring · max: 36Required

Unique partner identifier

Example: FINPAY-PARTNER-ID
CHANNEL-IDstring · max: 5Required

PJP's channel ID for device identification

Example: 12345
Body
originalPartnerReferenceNostringOptional

Original partner reference number

Example: INV112024033108340012600007
originalReferenceNostringOptional

Original reference number

Example: weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T
transactionDatestring · date-timeOptional

Transaction date

Example: 2024-04-17T12:03:38-07:00
Responses
200

Payment notification received

application/json
responseCodestringOptionalExample: 2004700
responseMessagestringOptionalExample: Request has been processed successfully
post/pg/payment/card/v1.0/qr/qr-mpm-notify
POST /pg/payment/card/v1.0/qr/qr-mpm-notify HTTP/1.1
Host: devo.finnet.co.id
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Accept: application/json
X-TIMESTAMP: 2024-04-17T12:03:38+07:00
X-SIGNATURE: string_signature
ORIGIN: www.yourdomain.com
X-EXTERNAL-ID: 12345678901234567890123456789012
X-PARTNER-ID: FINPAY-PARTNER-ID
CHANNEL-ID: 12345
Content-Type: application/json
Content-Length: 210

{
  "originalPartnerReferenceNo": "INV112024033108340012600007",
  "originalReferenceNo": "weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T",
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "transactionDate": "2024-04-17T12:03:38-07:00"
}
200

Payment notification received

{
  "responseCode": "2004700",
  "responseMessage": "Request has been processed successfully"
}

Query Payment Status

post
/pg/payment/card/v1.0/qr/qr-mpm-query

Query payment status

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Header parameters
AuthorizationstringRequired

Bearer access token

Example: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Content-TypestringRequired

Content type of request body

Example: application/json
AcceptstringRequired

Accept response format

Example: application/json
X-TIMESTAMPstring · date-timeRequired

Client's current local time in ISO 8601 format

Example: 2024-04-17T12:03:38+07:00
X-SIGNATUREstringRequired

Request signature

Example: string_signature
ORIGINstringRequired

Origin domain

Example: www.yourdomain.com
X-EXTERNAL-IDstring · max: 32Required

Numeric string reference number (unique per day)

Example: 12345678901234567890123456789012
X-PARTNER-IDstring · max: 36Required

Unique partner identifier

Example: FINPAY-PARTNER-ID
CHANNEL-IDstring · max: 5Required

PJP's channel ID for device identification

Example: 12345
Body
partnerReferenceNostringOptional

Partner reference number

Example: INV112024033108340012600007
originalReferenceNostringOptional

Original reference number

Example: weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T
merchantIdstringOptional

Merchant ID

Example: FM2103300001
Responses
200

Payment status retrieved

application/json
responseCodestringOptionalExample: 2004700
responseMessagestringOptionalExample: Request has been processed successfully
referenceNostringOptional

Reference number

Example: weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T
partnerReferenceNostringOptional

Partner reference number

Example: INV012021
transactionStatusstringOptional

Transaction status

Example: PAID
transactionDatestring · date-timeOptional

Transaction date

Example: 2024-04-17T12:03:38-07:00
post/pg/payment/card/v1.0/qr/qr-mpm-query
POST /pg/payment/card/v1.0/qr/qr-mpm-query HTTP/1.1
Host: devo.finnet.co.id
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Accept: application/json
X-TIMESTAMP: 2024-04-17T12:03:38+07:00
X-SIGNATURE: string_signature
ORIGIN: www.yourdomain.com
X-EXTERNAL-ID: 12345678901234567890123456789012
X-PARTNER-ID: FINPAY-PARTNER-ID
CHANNEL-ID: 12345
Content-Type: application/json
Content-Length: 215

{
  "partnerReferenceNo": "INV112024033108340012600007",
  "originalReferenceNo": "weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T",
  "merchantId": "FM2103300001",
  "additionalInfo": {
    "merchantId": "FM2103300001",
    "subMerchantId": "FM2007160001"
  }
}
200

Payment status retrieved

{
  "responseCode": "2004700",
  "responseMessage": "Request has been processed successfully",
  "referenceNo": "weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T",
  "partnerReferenceNo": "INV012021",
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "transactionStatus": "PAID",
  "transactionDate": "2024-04-17T12:03:38-07:00"
}

Refund Payment

post
/pg/payment/card/v1.0/qr/qr-mpm-refund

Refund payment

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Header parameters
AuthorizationstringRequired

Bearer access token

Example: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Content-TypestringRequired

Content type of request body

Example: application/json
AcceptstringRequired

Accept response format

Example: application/json
X-TIMESTAMPstring · date-timeRequired

Client's current local time in ISO 8601 format

Example: 2024-04-17T12:03:38+07:00
X-SIGNATUREstringRequired

Request signature

Example: string_signature
ORIGINstringRequired

Origin domain

Example: www.yourdomain.com
X-EXTERNAL-IDstring · max: 32Required

Numeric string reference number (unique per day)

Example: 12345678901234567890123456789012
X-PARTNER-IDstring · max: 36Required

Unique partner identifier

Example: FINPAY-PARTNER-ID
CHANNEL-IDstring · max: 5Required

PJP's channel ID for device identification

Example: 12345
Body
partnerReferenceNostringOptional

Partner reference number for refund

Example: REF123456
originalPartnerReferenceNostringOptional

Original partner reference number

Example: INV112024033108340012600007
originalReferenceNostringOptional

Original reference number

Example: weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T
reasonstringOptional

Refund reason

Example: Customer request
Responses
200

Payment refunded successfully

application/json
responseCodestringOptionalExample: 2004700
responseMessagestringOptionalExample: Request has been processed successfully
referenceNostringOptional

Refund reference number

Example: REF789012
partnerReferenceNostringOptional

Partner reference number

Example: REF123456
originalPartnerReferenceNostringOptional

Original partner reference number

Example: INV112024033108340012600007
originalReferenceNostringOptional

Original reference number

Example: weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T
transactionDatestring · date-timeOptional

Refund date

Example: 2024-04-17T12:03:38-07:00
post/pg/payment/card/v1.0/qr/qr-mpm-refund
POST /pg/payment/card/v1.0/qr/qr-mpm-refund HTTP/1.1
Host: devo.finnet.co.id
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Accept: application/json
X-TIMESTAMP: 2024-04-17T12:03:38+07:00
X-SIGNATURE: string_signature
ORIGIN: www.yourdomain.com
X-EXTERNAL-ID: 12345678901234567890123456789012
X-PARTNER-ID: FINPAY-PARTNER-ID
CHANNEL-ID: 12345
Content-Type: application/json
Content-Length: 303

{
  "partnerReferenceNo": "REF123456",
  "originalPartnerReferenceNo": "INV112024033108340012600007",
  "originalReferenceNo": "weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T",
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "reason": "Customer request",
  "additionalInfo": {
    "merchantId": "FM2103300001",
    "subMerchantId": "FM2007160001"
  }
}
200

Payment refunded successfully

{
  "responseCode": "2004700",
  "responseMessage": "Request has been processed successfully",
  "referenceNo": "REF789012",
  "partnerReferenceNo": "REF123456",
  "originalPartnerReferenceNo": "INV112024033108340012600007",
  "originalReferenceNo": "weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T",
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "transactionDate": "2024-04-17T12:03:38-07:00"
}

Last updated